﻿Option Strict On
Option Infer On

Imports SlimDX
Imports SlimDX.Direct2D
Imports SlimDX.DirectWrite
Imports D2DControlset

Friend Class IngameButton
    Inherits GameControl

    Private sound As SoundEffect

    Protected Overrides Sub drawContent(e As D2DDrawEventArgs, inRect As RectangleF)
        If Text = Nothing Then Exit Sub
        Dim formatName = "IngameButtonFormat"
        If Not FontManager.FontRegistered(formatName) Then FontManager.RegisterFont(formatName, New FontTemplate("Polentical Neon", 15, TextAlignment:=TextAlignment.Center, paragraphAlignment:=ParagraphAlignment.Center))
        e.Target.DrawText(Text, FontManager.GetFont(formatName), New Rectangle(AbsoluteLocation, Size), ColorManager.GetBrush("defaultWhite"))
    End Sub

    Sub New()
        setBorderWidth(2.5F)
        sound = New SoundEffect("bt02.wma")
    End Sub

    Private Sub IngameButton_Click(sender As Object, e As EventArgs) Handles Me.Click
        sound.play()
    End Sub
End Class
